<?php
/**
 * The template part for displaying a message that posts cannot be found.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package EverBox
 */
?>

<section class="no-results not-found">
	<header class="page-header">
		<h1 class="page-title"><?php _e( 'Ничего не найдено.', 'everbox' ); ?></h1>
	</header>
	<!-- END .page-header -->

	<div class="page-content">
		<?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

			<p><?php printf( __( 'Готовы опубликовать свой первый пост? <a href="%s">Начните отсюда</a>.', 'everbox' ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>

		<?php elseif ( is_search() ) : ?>

			<p><?php _e( 'Извините, но по Вашему запросу ничего не было найдено. Попробуйте использовать другие ключевые слова.', 'everbox' ); ?></p>
			<?php get_search_form(); ?>

		<?php else : ?>

			<p><?php _e( 'Мы ничего не нашли. Попробуйте поиск по сайту.', 'everbox' ); ?></p>
			<?php get_search_form(); ?>

		<?php endif; ?>
	</div>
	<!-- END .page-content -->
</section>
<!-- END .no-results -->